Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.cldc.i18n.uclc
Class DefaultCaseConverter

    java.lang.Object
      com.sun.cldc.i18n.uclc.DefaultCaseConverter

    public class DefaultCaseConverter

extends Object

Default class converting the case of characters.

Version:
  1.0 04/04/2000

Method Summary
`static int` | `digit(char ch, int radix)` Returns the numeric value of the character `ch` in the specified radix.
`static boolean` | `isDigit(char ch)` Determines if the specified character is a digit.
`static boolean` | `isLowerCase(char ch)` Determines if the specified character is a lowercase character.
`static boolean` | `isUpperCase(char ch)` Determines if the specified character is an uppercase character.
`static char` | `toLowerCase(char ch)` The given character is mapped to its lowercase equivalent; if the character has no lowercase equivalent, the character itself is returned.
`static char` | `toUpperCase(char ch)` Converts the character argument to uppercase; if the character has no lowercase equivalent, the character itself is returned.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isLowerCase

    public static boolean isLowerCase(char ch)

  Determines if the specified character is a lowercase character. The default case converter in CLDC only supports the ISO Latin-1 range of characters.

  Of the ISO Latin-1 characters (character codes 0x0000 through 0x00FF), the following are lowercase:

  a b c d e f g h i j k l m n o p q r s t u v w x y z \u00DF \u00E0 \u00E1 \u00E2 \u00E3 \u00E4 \u00E5 \u00E6 \u00E7 \u00E8 \u00E9 \u00EA \u00EB \u00EC \u00ED \u00EE \u00EF \u00F0 \u00F1 \u00F2 \u00F3 \u00F4 \u00F5 \u00F6 \u00F8 \u00F9 \u00FA \u00FB \u00FC \u00FD \u00FE \u00FF

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is lowercase; `false` otherwise.
  Since:
    JDK1.0

### isUpperCase

    public static boolean isUpperCase(char ch)

  Determines if the specified character is an uppercase character. The default case converter in CLDC only supports the ISO Latin-1 range of characters.

  Of the ISO Latin-1 characters (character codes 0x0000 through 0x00FF), the following are uppercase:

  A B C D E F G H I J K L M N O P Q R S T U V W X Y Z \u00C0 \u00C1 \u00C2 \u00C3 \u00C4 \u00C5 \u00C6 \u00C7 \u00C8 \u00C9 \u00CA \u00CB \u00CC \u00CD \u00CE \u00CF \u00D0 \u00D1 \u00D2 \u00D3 \u00D4 \u00D5 \u00D6 \u00D8 \u00D9 \u00DA \u00DB \u00DC \u00DD \u00DE

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is uppercase; `false` otherwise.
  Since:
    1.0
  See Also:
    `Character.isLowerCase(char)`, `Character.toUpperCase(char)`

### toLowerCase

    public static char toLowerCase(char ch)

  The given character is mapped to its lowercase equivalent; if the character has no lowercase equivalent, the character itself is returned. The default case converter in CLDC only supports the ISO Latin-1 range of characters.

  Parameters:
    `ch` - the character to be converted.
  Returns:
    the lowercase equivalent of the character, if any; otherwise the character itself.
  Since:
    JDK1.0
  See Also:
    `Character.isLowerCase(char)`, `Character.isUpperCase(char)`, `Character.toUpperCase(char)`

### toUpperCase

    public static char toUpperCase(char ch)

  Converts the character argument to uppercase; if the character has no lowercase equivalent, the character itself is returned. The default case converter in CLDC only supports the ISO Latin-1 range of characters.

  Parameters:
    `ch` - the character to be converted.
  Returns:
    the uppercase equivalent of the character, if any; otherwise the character itself.
  Since:
    JDK1.0
  See Also:
    `Character.isLowerCase(char)`, `Character.isUpperCase(char)`, `Character.toLowerCase(char)`

### isDigit

    public static boolean isDigit(char ch)

  Determines if the specified character is a digit. This is currently only supported for ISO Latin-1 digits: "0" through "9".

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is a digit; `false` otherwise.
  Since:
    JDK1.0

### digit

    public static int digit(char ch,
                            int radix)

  Returns the numeric value of the character `ch` in the specified radix. This is only supported for ISO Latin-1 characters.

  Parameters:
    `ch` - the character to be converted.
    `radix` - the radix.
  Returns:
    the numeric value represented by the character in the specified radix.
  Since:
    JDK1.0
  See Also:
    `Character.isDigit(char)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"